Bug 525989 - Review Request: rubygem-extlib - Support library for DataMapper and Merb
Summary: Review Request: rubygem-extlib - Support library for DataMapper and Merb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 529605
TreeView+ depends on / blocked
 
Reported: 2009-09-28 04:16 UTC by Matthew Kent
Modified: 2010-09-11 19:42 UTC (History)
3 users (show)

Fixed In Version: 0.9.13-4.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-19 17:46:51 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Kent 2009-09-28 04:16:15 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-extlib.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-extlib-0.9.13-1.fc12.src.rpm
Description: Support library for DataMapper and Merb.

Modeled the package after rubygem-json.spec and rubygem-rake.spec.

Looking for review. Thanks :)

Comment 1 Matthew Kent 2009-09-28 04:25:06 UTC
Should mention I filed https://bugzilla.redhat.com/show_bug.cgi?id=525988 as well at the same time. These are my first two packages.

Comment 2 Matthew Kent 2009-09-29 06:57:08 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-extlib.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-extlib-0.9.13-2.fc12.src.rpm

* Mon Sep 28 2009 Matthew Kent <mkent@magoazul.com> - 0.9.13-2
- Only provided as a gem, dropping non gem support.

Comment 3 Mamoru TASAKA 2009-09-29 09:46:31 UTC
- Please change %define to %global.
- Macro definition %ruby_sitelib does not seem to be used.

Comment 4 Mamoru TASAKA 2009-09-29 09:59:02 UTC
One thing forgotton...

- http://koji.fedoraproject.org/koji/taskinfo?taskID=1715248
  Build fails when trying to build this srpm on ppc64 machine.
  Actually ruby causes segfault, so this is due to bug in ruby,
  not in this srpm (perhaps).

  However when rebuilding srpm with "BuildArch: noarch", builder
  machine is chosen randomly. So for example when i686 machine
  is chosen, for example, build succeeds. However when ppc64 machine
  is chosen by chance, this pacakge won't build (due to bug in
  ruby).

  So for now it is better to add "|| :" after "rake spec".

  ! Note
    If you have time to debug this ruby segfault, it is highly
    appreciated.

Comment 5 Matthew Kent 2009-09-30 06:20:37 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-extlib.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-extlib-0.9.13-3.fc12.src.rpm

* Tue Sep 29 2009 Matthew Kent <mkent@magoazul.com> - 0.9.13-3
- Account for possible %check segfault on ppc64 due to possible ruby bug
  (#525989).
- Remove unsed ruby_sitelib macro and use global over define (#525989).


I'm afraid I don't have time for debugging that particular segfault at the moment.

Comment 6 Mamoru TASAKA 2009-09-30 15:51:55 UTC
One thing:

- Please use "%%" instead of "%" in %changelog so that macros won't
  be expanded unexpectedly.

As you have some other review requests which seem good to some
extent from a quick glance (ref:
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored )

-------------------------------------------------------------
  This package (rubygem-extlib) is APPROVED by mtasaka
-------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
After you request for sponsorship a mail will be sent to sponsor 
members automatically (which is invisible for you) which notifies 
that you need a sponsor. After that, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 10/11/12, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Comment 7 Matthew Kent 2009-10-05 03:28:56 UTC
Removed the %% in the %changelog as requested.

I've applied to the 'packager' group under the name 'mkent'. Let me know if I should be doing anything further.

Thanks for your time.

Comment 8 Mamoru TASAKA 2009-10-05 07:20:24 UTC
Okay, now I am sponsoring you. Please follow "Join" wiki again.

Comment 9 Matthew Kent 2009-10-06 05:44:10 UTC
New Package CVS Request
=======================
Package Name: rubygem-extlib
Short Description: Support library for DataMapper and Merb
Owners: mkent
Branches: F-12
InitialCC:

Comment 10 Kevin Fenzi 2009-10-06 17:45:34 UTC
All packages have been mass branched already for F-12. 

Please use 'cvs update -d' to get the new directories.

Comment 11 Matthew Kent 2009-10-06 19:05:38 UTC
(In reply to comment #10)
> All packages have been mass branched already for F-12. 
> 
> Please use 'cvs update -d' to get the new directories.  

Apologies if I've confused something in the process here, but this is a new package. 

I'll try again and include the current release.

Comment 12 Matthew Kent 2009-10-06 19:07:01 UTC
New Package CVS Request
=======================
Package Name: rubygem-extlib
Short Description: Support library for DataMapper and Merb
Owners: mkent
Branches: F-11 F-12
InitialCC:

Comment 13 Kevin Fenzi 2009-10-06 21:26:26 UTC
cvs done.

Comment 14 Mamoru TASAKA 2009-10-19 17:46:51 UTC
Closing.

Comment 15 Fedora Update System 2009-10-21 00:44:22 UTC
rubygem-extlib-0.9.13-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Michael Stahnke 2010-09-10 20:15:32 UTC
Package Change Request
======================
Package Name: rubygem-extlib
New Branches: el5 el6
Owners: stahnma

mkent is aware of request.

Comment 17 Kevin Fenzi 2010-09-11 19:42:56 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.